fr.enssat.BoulderDash.helpers

## Class LevelSaveHelper

- java.lang.Object
- - fr.enssat.BoulderDash.helpers.LevelSaveHelper

    public class LevelSaveHelper
    extends java.lang.Object

LevelSaveHelper Proceeds level save routine Able to iterate on internal representation of a map and serialize it to XML

Since:
  2015-06-21
Author:
  Valerian Saliou <valerian@valeriansaliou.name>

### Constructor Summary

Constructors
Constructor and Description
`LevelSaveHelper(DisplayableElementModel[][] groundGrid)` Class constructor
`LevelSaveHelper(java.lang.String levelId, DisplayableElementModel[][] groundGrid)` Class constructor

### Method Summary

Methods
`DisplayableElementModel[][]` `getGroundGrid()` Gets the ground grid
`java.lang.String` `getLevelId()` Gets the level identifier

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LevelSaveHelper

    public LevelSaveHelper(java.lang.String levelId,
                   DisplayableElementModel[][] groundGrid)

Class constructor

Parameters:
  `levelId` - Level identifier
  `groundGrid` - Ground grid

#### LevelSaveHelper

    public LevelSaveHelper(DisplayableElementModel[][] groundGrid)

Class constructor

Parameters:
  `groundGrid` - Ground grid

### Method Detail

#### getLevelId

    public java.lang.String getLevelId()

Gets the level identifier

Returns:
  Level identifier

#### getGroundGrid

    public DisplayableElementModel[][] getGroundGrid()

Gets the ground grid

Returns:
  Ground grid